<?php
require_once "{$_SERVER['DOCUMENT_ROOT']}/dependencies.php";
if (!isset($_SESSION['user'])) {
    returnResponse(status: 401, error: true, message: 'No se ha iniciado sesión');
    exit();
}

header('Content-Type: application/json');
echo json_encode($sgi_db
    ->orderBy('Periodo_fecha_inicial', 'DESC')
    ->join('Nivel n', 'n."Nivel_id" = p."Nivel_id"')
    ->get('Periodo p', 10, ['Periodo_id', 'Periodo_desc', 'Nivel_desc']));